Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.core.script
Interface ScriptExecutor<K>

Type Parameters:
  `K` - The type of keys that may be passed during script execution

All Known Implementing Classes:
  DefaultScriptExecutor

    public interface ScriptExecutor<K>

Executes `RedisScript`s

Method Summary
`
`<T> T`
` | `execute(RedisScript<T> script, List<K> keys, Object... args)` Executes the given `RedisScript`
`
`<T> T`
` | `execute(RedisScript<T> script, RedisSerializer<?> argsSerializer, RedisSerializer<T> resultSerializer, List<K> keys, Object... args)` Executes the given `RedisScript`, using the provided `RedisSerializer`s to serialize the script arguments and result.

Method Detail

### execute

    <T> T execute(RedisScript<T> script,
                  List<K> keys,
                  Object... args)

  Executes the given `RedisScript`

  Parameters:
    `script` - The script to execute
    `keys` - Any keys that need to be passed to the script
    `args` - Any args that need to be passed to the script
  Returns:
    The return value of the script or null if `RedisScript.getResultType()` is null, likely indicating a throw-away status reply (i.e. "OK")

### execute

    <T> T execute(RedisScript<T> script,
                  RedisSerializer<?> argsSerializer,
                  RedisSerializer<T> resultSerializer,
                  List<K> keys,
                  Object... args)

  Executes the given `RedisScript`, using the provided `RedisSerializer`s to serialize the script arguments and result.

  Parameters:
    `script` - The script to execute
    `argsSerializer` - The `RedisSerializer` to use for serializing args
    `resultSerializer` - The `RedisSerializer` to use for serializing the script return value
    `keys` - Any keys that need to be passed to the script
    `args` - Any args that need to be passed to the script
  Returns:
    The return value of the script or null if `RedisScript.getResultType()` is null, likely indicating a throw-away status reply (i.e. "OK")

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD